export type UserDetails = {
  userId: string;
  userName: string;
  image: string | null;
};

export type OnlineUser = {
  socketId: string;
} & UserDetails;

export type ConnectRequest = {
  caller: string;
  callee: string;
  userName: string;
  image: string | null;
};

export type rtcOffer = {
  to: string;
  sender: string;
  offer: string;
};

export type rtcAnswer = {
  to: string;
  answer: string;
};

export type rtcCandidate = {
  candidate: string;
  to: string;
};

export type callRequestAReject = {
  to: string;
};
